GET /{userId}/documents
Summary: Get a list of your documents
Operation ID: getUserDocuments
Auth: unknown
Operation ID: getUserDocuments
Auth: unknown
Description
Get a list of your documents
Parameters (9)
language_code
(string, query, optional)
searches in source language of documents, in source and target languages of document's quote
order_by
(string, query, optional, default: updated_at)
Constraints: {'enum': ['id', 'updated_at', 'created_at', 'name']}
order_type
(?, query, optional, default: desc)
page
(integer, query, optional, default: 1)
per_page
(integer, query, optional, default: 10)
recent
(boolean, query, optional, default: 0)
When true, this will return the most 4 recent active documents.
search
(string, query, optional)
type_filter
(string, query, optional, default: ALL)
Constraints: {'enum': ['ALL', 'TEXT_DOCUMENTS', 'PRESENTATIONS', 'SPREADSHEETS', 'PDFS', 'IMAGES', 'SUBTITLES', 'DESIGNS', 'LOCALIZATION', 'WEB', 'STYLE_GUIDES', 'GLOSSARIES']}
userId
(integer, path, required)
User ID
No probe data for this endpoint yet.